package com.fastest.pass.login.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.login.utils.LoginRoute
import kotlinx.coroutines.flow.MutableStateFlow

class LoginViewModel : ViewModel() {

    private val _router = MutableStateFlow<LoginRoute>(LoginRoute.OpenNoneScreen)
    val router: MutableStateFlow<LoginRoute> = _router

    fun navigateTo(loginRoute: LoginRoute) {
        _router.value = loginRoute
    }
}